Package com.databricks.jdbc.api.impl

## Class DatabricksStatement

- java.lang.Object
- - com.databricks.jdbc.api.impl.DatabricksStatement

All Implemented Interfaces:
  `IDatabricksStatement`, `AutoCloseable`, `Statement`, `Wrapper`

Direct Known Subclasses:
  `DatabricksPreparedStatement`

    public class DatabricksStatement
    extends Object
    implements IDatabricksStatement, Statement

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
`DatabricksStatement​(DatabricksConnection connection)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addBatch​(String sql)`
`void` `allowInputStreamForVolumeOperation​(boolean allowInputStream)`
`void` `cancel()`
`void` `clearBatch()`
`void` `clearWarnings()`
`void` `close()`
`void` `close​(boolean removeFromSession)`
`void` `closeOnCompletion()`
`boolean` `execute​(String sql)`
`boolean` `execute​(String sql, int autoGeneratedKeys)`
`boolean` `execute​(String sql, int[] columnIndexes)`
`boolean` `execute​(String sql, String[] columnNames)`
`int[]` `executeBatch()`
`ResultSet` `executeQuery​(String sql)`
`int` `executeUpdate​(String sql)`
`int` `executeUpdate​(String sql, int autoGeneratedKeys)`
`int` `executeUpdate​(String sql, int[] columnIndexes)`
`int` `executeUpdate​(String sql, String[] columnNames)`
`Connection` `getConnection()`
`int` `getFetchDirection()`
`int` `getFetchSize()`
`ResultSet` `getGeneratedKeys()`
`org.apache.http.entity.InputStreamEntity` `getInputStreamForUCVolume()`
`int` `getMaxFieldSize()`
`int` `getMaxRows()`
`boolean` `getMoreResults()`
`boolean` `getMoreResults​(int current)`
`int` `getQueryTimeout()`
`ResultSet` `getResultSet()`
`int` `getResultSetConcurrency()`
`int` `getResultSetHoldability()`
`int` `getResultSetType()`
`String` `getSessionId()` Returns the underlying session-Id for the statement.
`Statement` `getStatement()`
`String` `getStatementId()`
`int` `getUpdateCount()`
`SQLWarning` `getWarnings()`
`void` `handleResultSetClose​(IDatabricksResultSet resultSet)`
`boolean` `isAllowedInputStreamForVolumeOperation()`
`boolean` `isClosed()`
`boolean` `isCloseOnCompletion()`
`boolean` `isPoolable()`
`boolean` `isWrapperFor​(Class<?> iface)`
`void` `setCursorName​(String name)`
`void` `setEscapeProcessing​(boolean enable)`
`void` `setFetchDirection​(int direction)`
`void` `setFetchSize​(int rows)`
`void` `setInputStreamForUCVolume​(org.apache.http.entity.InputStreamEntity inputStream)`
`void` `setMaxFieldSize​(int max)`
`void` `setMaxRows​(int max)`
`void` `setPoolable​(boolean poolable)`
`void` `setQueryTimeout​(int seconds)`
`void` `setStatementId​(String statementId)`
`protected static boolean` `shouldReturnResultSet​(String query)`
`<T> T` `unwrap​(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeMaxRows, getLargeUpdateCount, isSimpleIdentifier, setLargeMaxRows`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Constructor Detail

#### DatabricksStatement

    public DatabricksStatement​(DatabricksConnection connection)

### Method Detail

#### getSessionId

    public String getSessionId()

Description copied from interface: `IDatabricksStatement`
Returns the underlying session-Id for the statement.

Specified by:
  `getSessionId` in interface `IDatabricksStatement`

#### executeQuery

    public ResultSet executeQuery​(String sql)
                           throws SQLException

Specified by:
  `executeQuery` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate​(String sql)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Statement`
Throws:
  `SQLException`

#### close

    public void close​(boolean removeFromSession)
               throws SQLException

Specified by:
  `close` in interface `IDatabricksStatement`
Throws:
  `SQLException`

#### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

Specified by:
  `getMaxFieldSize` in interface `Statement`
Throws:
  `SQLException`

#### setMaxFieldSize

    public void setMaxFieldSize​(int max)
                         throws SQLException

Specified by:
  `setMaxFieldSize` in interface `Statement`
Throws:
  `SQLException`

#### getMaxRows

    public int getMaxRows()
                   throws SQLException

Specified by:
  `getMaxRows` in interface `IDatabricksStatement`
Specified by:
  `getMaxRows` in interface `Statement`
Throws:
  `SQLException`

#### setMaxRows

    public void setMaxRows​(int max)
                    throws SQLException

Specified by:
  `setMaxRows` in interface `Statement`
Throws:
  `SQLException`

#### setEscapeProcessing

    public void setEscapeProcessing​(boolean enable)
                             throws SQLException

Specified by:
  `setEscapeProcessing` in interface `Statement`
Throws:
  `SQLException`

#### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

Specified by:
  `getQueryTimeout` in interface `Statement`
Throws:
  `SQLException`

#### setQueryTimeout

    public void setQueryTimeout​(int seconds)
                         throws SQLException

Specified by:
  `setQueryTimeout` in interface `Statement`
Throws:
  `SQLException`

#### cancel

    public void cancel()
                throws SQLException

Specified by:
  `cancel` in interface `Statement`
Throws:
  `SQLException`

#### getWarnings

    public SQLWarning getWarnings()

Specified by:
  `getWarnings` in interface `Statement`

#### clearWarnings

    public void clearWarnings()

Specified by:
  `clearWarnings` in interface `Statement`

#### setCursorName

    public void setCursorName​(String name)
                       throws SQLException

Specified by:
  `setCursorName` in interface `Statement`
Throws:
  `SQLException`

#### execute

    public boolean execute​(String sql)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Specified by:
  `getResultSet` in interface `Statement`
Throws:
  `SQLException`

#### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

Specified by:
  `getUpdateCount` in interface `Statement`
Throws:
  `SQLException`

#### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

Specified by:
  `getMoreResults` in interface `Statement`
Throws:
  `SQLException`

#### setFetchDirection

    public void setFetchDirection​(int direction)
                           throws SQLException

Specified by:
  `setFetchDirection` in interface `Statement`
Throws:
  `SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

Specified by:
  `getFetchDirection` in interface `Statement`
Throws:
  `SQLException`

#### setFetchSize

    public void setFetchSize​(int rows)

Specified by:
  `setFetchSize` in interface `Statement`

#### getFetchSize

    public int getFetchSize()

Specified by:
  `getFetchSize` in interface `Statement`

#### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

Specified by:
  `getResultSetConcurrency` in interface `Statement`
Throws:
  `SQLException`

#### getResultSetType

    public int getResultSetType()
                         throws SQLException

Specified by:
  `getResultSetType` in interface `Statement`
Throws:
  `SQLException`

#### addBatch

    public void addBatch​(String sql)
                  throws SQLException

Specified by:
  `addBatch` in interface `Statement`
Throws:
  `SQLException`

#### clearBatch

    public void clearBatch()
                    throws SQLException

Specified by:
  `clearBatch` in interface `Statement`
Throws:
  `SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws SQLException

Specified by:
  `executeBatch` in interface `Statement`
Throws:
  `SQLException`

#### getConnection

    public Connection getConnection()
                             throws SQLException

Specified by:
  `getConnection` in interface `Statement`
Throws:
  `SQLException`

#### getMoreResults

    public boolean getMoreResults​(int current)
                           throws SQLException

Specified by:
  `getMoreResults` in interface `Statement`
Throws:
  `SQLException`

#### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

Specified by:
  `getGeneratedKeys` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate​(String sql,
                             int autoGeneratedKeys)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate​(String sql,
                             int[] columnIndexes)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate​(String sql,
                             String[] columnNames)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### execute

    public boolean execute​(String sql,
                           int autoGeneratedKeys)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### execute

    public boolean execute​(String sql,
                           int[] columnIndexes)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### execute

    public boolean execute​(String sql,
                           String[] columnNames)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### getResultSetHoldability

    public int getResultSetHoldability()

Specified by:
  `getResultSetHoldability` in interface `Statement`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `Statement`
Throws:
  `SQLException`

#### setPoolable

    public void setPoolable​(boolean poolable)
                     throws SQLException

Specified by:
  `setPoolable` in interface `Statement`
Throws:
  `SQLException`

#### isPoolable

    public boolean isPoolable()
                       throws SQLException

Specified by:
  `isPoolable` in interface `Statement`
Throws:
  `SQLException`

#### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

Specified by:
  `closeOnCompletion` in interface `Statement`
Throws:
  `SQLException`

#### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

Specified by:
  `isCloseOnCompletion` in interface `Statement`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap​(Class<T> iface)
                 throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor​(Class<?> iface)
                         throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### handleResultSetClose

    public void handleResultSetClose​(IDatabricksResultSet resultSet)
                              throws SQLException

Specified by:
  `handleResultSetClose` in interface `IDatabricksStatement`
Throws:
  `SQLException`

#### setStatementId

    public void setStatementId​(String statementId)

Specified by:
  `setStatementId` in interface `IDatabricksStatement`

#### getStatementId

    public String getStatementId()

Specified by:
  `getStatementId` in interface `IDatabricksStatement`

#### getStatement

    public Statement getStatement()

Specified by:
  `getStatement` in interface `IDatabricksStatement`

#### shouldReturnResultSet

    protected static boolean shouldReturnResultSet​(String query)

#### allowInputStreamForVolumeOperation

    public void allowInputStreamForVolumeOperation​(boolean allowInputStream)
                                            throws DatabricksSQLException

Specified by:
  `allowInputStreamForVolumeOperation` in interface `IDatabricksStatement`
Throws:
  `DatabricksSQLException`

#### isAllowedInputStreamForVolumeOperation

    public boolean isAllowedInputStreamForVolumeOperation()
                                                   throws DatabricksSQLException

Specified by:
  `isAllowedInputStreamForVolumeOperation` in interface `IDatabricksStatement`
Throws:
  `DatabricksSQLException`

#### setInputStreamForUCVolume

    public void setInputStreamForUCVolume​(org.apache.http.entity.InputStreamEntity inputStream)
                                   throws DatabricksSQLException

Specified by:
  `setInputStreamForUCVolume` in interface `IDatabricksStatement`
Throws:
  `DatabricksSQLException`

#### getInputStreamForUCVolume

    public org.apache.http.entity.InputStreamEntity getInputStreamForUCVolume()
                                                                       throws DatabricksSQLException

Specified by:
  `getInputStreamForUCVolume` in interface `IDatabricksStatement`
Throws:
  `DatabricksSQLException`